import I18n from 'ex-react-native-i18n';

export function strings(name, params = {}) {
  loadData();
  return I18n.t(name, params);
}

function loadData() {
  const ar = require('./ar.json');
  Object.keys(ar).map((key) => {
    if (I18n.translations.ar[key] === undefined) {
      I18n.translations.ar[key] = ar[key];
    }
  });

  const en = require('./en.json');
  Object.keys(en).map((key) => {
    if (I18n.translations.en[key] === undefined) {
      I18n.translations.en[key] = en[key];
    }
  });

  const fr = require('./fr.json');
  Object.keys(fr).map((key) => {
    if (I18n.translations.fr[key] === undefined) {
      I18n.translations.fr[key] = fr[key];
    }
  });
}